@if ($paginator->hasPages())
<nav class="d-flex justify-items-center justify-content-between">

    {{-- صفحه‌بندی ساده برای نمایش در دستگاه‌های کوچک --}}
    <div class="d-flex justify-content-between flex-fill d-sm-none">
        <ul class="pagination">
            {{-- لینک صفحه قبل --}}
            @if ($paginator->onFirstPage())
            <li class="page-item disabled" aria-disabled="true">
                <span class="page-link">@lang('pagination.previous')</span>
            </li>
            @else
            <li class="page-item">
                <a class="page-link" href="{{ $paginator->previousPageUrl() }}" rel="prev">
                    @lang('pagination.previous')
                </a>
            </li>
            @endif

            {{-- لینک صفحه بعد --}}
            @if ($paginator->hasMorePages())
            <li class="page-item">
                <a class="page-link" href="{{ $paginator->nextPageUrl() }}" rel="next">
                    @lang('pagination.next')
                </a>
            </li>
            @else
            <li class="page-item disabled" aria-disabled="true">
                <span class="page-link">@lang('pagination.next')</span>
            </li>
            @endif
        </ul>
    </div>

    {{-- صفحه‌بندی کامل برای نمایش در دستگاه‌های متوسط و بزرگ --}}
    <div class="d-none flex-sm-fill d-sm-flex align-items-sm-center justify-content-sm-between">

        {{-- نمایش خلاصه وضعیت صفحه‌بندی --}}
        <div>
            <p class="small text-muted">
                {!! __('نمایش') !!}
                <span class="fw-semibold">{{ $paginator->firstItem() }}</span>
                {!! __('تا') !!}
                <span class="fw-semibold">{{ $paginator->lastItem() }}</span>
                {!! __('از') !!}
                <span class="fw-semibold">{{ $paginator->total() }}</span>
                {!! __('مورد') !!}
            </p>
        </div>

        {{-- لینک‌های صفحه‌بندی --}}
        <div>
            <ul class="pagination">

                {{-- لینک صفحه قبل --}}
                @if ($paginator->onFirstPage())
                <li class="page-item disabled" aria-disabled="true" aria-label="@lang('pagination.previous')">
                    <span class="page-link" aria-hidden="true">&lsaquo;</span>
                </li>
                @else
                <li class="page-item">
                    <a class="page-link" href="{{ $paginator->previousPageUrl() }}" rel="prev" aria-label="@lang('pagination.previous')">
                        &lsaquo;
                    </a>
                </li>
                @endif

                {{-- عناصر صفحه‌بندی --}}
                @foreach ($elements as $element)
                {{-- جداکننده (مانند ...) --}}
                @if (is_string($element))
                <li class="page-item disabled" aria-disabled="true">
                    <span class="page-link">{{ $element }}</span>
                </li>
                @endif

                {{-- لینک صفحات عددی --}}
                @if (is_array($element))
                @foreach ($element as $page => $url)
                @if ($page == $paginator->currentPage())
                <li class="page-item active" aria-current="page">
                    <span class="page-link">{{ $page }}</span>
                </li>
                @else
                <li class="page-item">
                    <a class="page-link" href="{{ $url }}">{{ $page }}</a>
                </li>
                @endif
                @endforeach
                @endif
                @endforeach

                {{-- لینک صفحه بعد --}}
                @if ($paginator->hasMorePages())
                <li class="page-item">
                    <a class="page-link" href="{{ $paginator->nextPageUrl() }}" rel="next" aria-label="@lang('pagination.next')">
                        &rsaquo;
                    </a>
                </li>
                @else
                <li class="page-item disabled" aria-disabled="true" aria-label="@lang('pagination.next')">
                    <span class="page-link" aria-hidden="true">&rsaquo;</span>
                </li>
                @endif

            </ul>
        </div>
    </div>
</nav>
@endif