<?php $__env->startSection('head'); ?>
<?php echo $__env->make('layouts.main.headersection',[
    'title'=> __('ویرایش درگاه پرداخت'),
    'buttons'=>[
        [
            'name'=>__('بازگشت'),
            'url'=>route('admin.gateways.index'),
        ]
    ]
], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="row">
    <div class="col-lg-5 mt-5">
        <strong><?php echo e(__('ویرایش اطلاعات درگاه')); ?></strong>
        <p><?php echo e(__('از این بخش می‌توانید اطلاعات درگاه پرداخت را ویرایش کنید.')); ?></p>
    </div>
    <div class="col-lg-7 mt-5">
        <form class="ajaxform_instant_reload" action="<?php echo e(route('admin.gateways.update', $gateway->id)); ?>" method="POST" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            <?php echo method_field('PUT'); ?>
            <div class="card">
                <div class="card-body">

                    <div class="form-group mb-4">
                        <label class="col-form-label required" for="name"><?php echo e(__('عنوان درگاه')); ?></label>
                        <input type="text" class="form-control" name="name" id="name" value="<?php echo e($gateway->name); ?>" required>
                    </div>

                    <div class="form-group mb-4">
                        <label class="col-form-label" for="logo"><?php echo e(__('لوگو')); ?></label>
                        <input type="file" id="logo" class="form-control" name="logo">
                        <?php if($gateway->logo): ?>
                            <img src="<?php echo e(asset($gateway->logo)); ?>" height="30" alt="Logo" class="image-thumbnail mt-2">
                        <?php endif; ?>
                    </div>

                    <div class="form-group mb-4">
                        <label class="col-form-label required" for="currency"><?php echo e(__('واحد پول')); ?></label>
                        <input type="text" class="form-control" name="currency" id="currency" value="<?php echo e($gateway->currency); ?>" required>
                    </div>

                    <?php if($gateway->is_auto == 1): ?>
                    <div class="form-group mb-4">
                        <label class="col-form-label required" for="sandbox"><?php echo e(__('حالت تستی (Sandbox)')); ?></label>
                        <select class="form-control selectric" name="test_mode" id="sandbox">
                            <option value="1" <?php echo e($gateway->test_mode == 1 ? 'selected' : ''); ?>><?php echo e(__('فعال')); ?></option>
                            <option value="0" <?php echo e($gateway->test_mode == 0 ? 'selected' : ''); ?>><?php echo e(__('غیرفعال')); ?></option>
                        </select>
                    </div>
                    <?php endif; ?>

                    <div class="form-group mb-4">
                        <label class="col-form-label required" for="min_amount"><?php echo e(__('حداقل مبلغ تراکنش')); ?></label>
                        <input type="number" step="any" name="min_amount" id="min_amount" class="form-control" value="<?php echo e($gateway->min_amount); ?>" required>
                    </div>

                    <div class="form-group mb-4">
                        <label class="col-form-label required" for="max_amount"><?php echo e(__('حداکثر مبلغ تراکنش')); ?></label>
                        <input type="number" step="any" name="max_amount" id="max_amount" class="form-control" value="<?php echo e($gateway->max_amount); ?>" required>
                    </div>

                    <div class="form-group mb-4">
                        <label class="col-form-label required" for="charge"><?php echo e(__('کارمزد درگاه')); ?></label>
                        <input type="number" step="any" name="charge" id="charge" class="form-control" value="<?php echo e($gateway->charge ?? 0); ?>" required>
                    </div>

                    <div class="form-group mb-4">
                        <label class="col-form-label required" for="multiply"><?php echo e(__('ضریب تبدیل واحد پول')); ?></label>
                        <input type="number" step="any" name="multiply" id="multiply" class="form-control" value="<?php echo e($gateway->multiply ?? 0); ?>" required>
                        <small class="text-muted mt-1 d-block">برای تبدیل تومان به ریال عدد ۱۰ وارد کنید.</small>
                    </div>

                    <?php if($gateway->is_auto == 1): ?>
                    <?php 
                        $data = json_decode($gateway->data ?? '{}', true);
                    ?>

                    
                    <?php $__currentLoopData = $data ?? []; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="form-group mb-4">
                        <label class="col-form-label required" for="data_<?php echo e($key); ?>"><?php echo e(__(ucwords(str_replace('_', ' ', $key)))); ?></label>
                        <input type="text" class="form-control" name="data[<?php echo e($key); ?>]" id="data_<?php echo e($key); ?>" value="<?php echo e($value); ?>">
                    </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>

                    <div class="form-group mb-4">
                        <label class="col-form-label" for="comment"><?php echo e(__('راهنمای پرداخت')); ?></label>
                        <textarea class="form-control" name="comment" maxlength="1000" rows="3"><?php echo e($gateway->comment); ?></textarea>
                    </div>

                    <div class="form-group mb-4">
                        <label class="col-form-label required" for="status"><?php echo e(__('وضعیت درگاه')); ?></label>
                        <select class="form-control selectric" name="status" id="status">
                            <option value="1" <?php echo e($gateway->status == 1 ? 'selected' : ''); ?>><?php echo e(__('فعال')); ?></option>
                            <option value="0" <?php echo e($gateway->status == 0 ? 'selected' : ''); ?>><?php echo e(__('غیرفعال')); ?></option>
                        </select>
                    </div>

                    <div class="form-group mb-4">
                        <button class="btn btn-neutral submit-button"><?php echo e(__('ذخیره تغییرات')); ?></button>
                    </div>	

                </div>
            </div>
        </form>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH H:\www\MAMP\htdocs\wasender\resources\views/admin/gateway/edit.blade.php ENDPATH**/ ?>