<?php $__env->startSection('head'); ?>
<?php echo $__env->make('layouts.main.headersection',[
'title'=> __('افزودن درگاه پرداخت جدید'),
'buttons'=>[
[
'name'=>__('بازگشت'),
'url'=>route('admin.gateways.index'),
]
]
], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="row">
	<div class="col-lg-5 mt-5">
		<strong><?php echo e(__('ایجاد درگاه پرداخت جدید')); ?></strong>
		<p><?php echo e(__('از این بخش می‌توانید یک درگاه پرداخت جدید ایجاد و تنظیم کنید.')); ?></p>
	</div>
	<div class="col-lg-7 mt-5">
		<form class="ajaxform_instant_reload" action="<?php echo e(route('admin.gateways.store')); ?>" enctype="multipart/form-data" method="POST">
			<?php echo csrf_field(); ?>
			<div class="card">
				<div class="card-body">

					<div class="form-group mb-4">
						<label class="col-form-label text-md-right required" for="name"><?php echo e(__('عنوان درگاه')); ?></label>
						<input type="text" class="form-control" name="name" id="name" placeholder="مثال: Zarinpal" required>
					</div>

					<div class="form-group mb-4">
						<label class="col-form-label text-md-right" for="logo"><?php echo e(__('لوگو')); ?></label>
						<input type="file" id="logo" class="form-control" name="logo" accept="image/*">
					</div>

					<div class="form-group mb-4">
						<label class="col-form-label text-md-right required" for="currency"><?php echo e(__('واحد پول')); ?></label>
						<input type="text" class="form-control" name="currency" id="currency" placeholder="مثال: IRR یا Toman" required>
					</div>

					<div class="form-group mb-4">
						<label class="col-form-label text-md-right required" for="min_amount"><?php echo e(__('حداقل مبلغ تراکنش')); ?></label>
						<input type="number" step="any" class="form-control" name="min_amount" id="min_amount" required>
					</div>

					<div class="form-group mb-4">
						<label class="col-form-label text-md-right required" for="max_amount"><?php echo e(__('حداکثر مبلغ تراکنش')); ?></label>
						<input type="number" step="any" class="form-control" name="max_amount" id="max_amount" required>
					</div>

					<div class="form-group mb-4">
						<label class="col-form-label text-md-right required" for="charge"><?php echo e(__('کارمزد درگاه')); ?></label>
						<input type="number" step="any" class="form-control" name="charge" id="charge" required value="0">
					</div>

					<div class="form-group mb-4">
						<label class="col-form-label text-md-right required" for="multiply"><?php echo e(__('ضریب تبدیل واحد پول')); ?></label>
						<input type="number" step="any" class="form-control" name="multiply" id="multiply" required value="10">
						<small class="text-muted d-block mt-1">برای تبدیل تومان به ریال عدد 10 وارد کنید</small>
					</div>

					<div class="form-group mb-4">
						<label class="col-form-label text-md-right required" for="merchant_id"><?php echo e(__('کلید API / مرچنت کد')); ?></label>
						<input type="text" class="form-control" name="merchant_id" id="merchant_id" placeholder="مثال: zarinpal-xxxx-xxxx">
						<small class="text-muted d-block mt-1">این مقدار برای زرین‌پال و سایر درگاه‌های پیامکی استفاده می‌شود.</small>
					</div>

					<div class="form-group mb-4">
						<label class="col-form-label text-md-right" for="comment"><?php echo e(__('راهنمای پرداخت')); ?></label>
						<textarea class="form-control" maxlength="1000" name="comment" rows="3" placeholder="مثال: پس از پرداخت، منتظر تایید باشید."></textarea>
					</div>

					<div class="form-group mb-4">
						<label class="col-form-label text-md-right required" for="status"><?php echo e(__('وضعیت درگاه')); ?></label>
						<select class="form-control selectric" name="status" id="status">
							<option value="1"><?php echo e(__('فعال')); ?></option>
							<option value="0"><?php echo e(__('غیرفعال')); ?></option>
						</select>
					</div>

					<div class="form-group mb-4">
						<button class="btn btn-neutral submit-button"><?php echo e(__('ذخیره درگاه')); ?></button>
					</div>

				</div>
			</div>
		</form>
	</div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH H:\www\MAMP\htdocs\wasender\resources\views/admin/gateway/create.blade.php ENDPATH**/ ?>