<?php $__env->startSection('head'); ?>
<?php echo $__env->make('layouts.main.headersection',[
'title'=> __('درگاه‌های پرداخت'),
'buttons'=>[
[
'name'=>'<i class="fa fa-plus"></i>&nbsp;'.__('افزودن درگاه جدید'),
'url'=>route('admin.gateways.create'),
]
]
], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<div class="row d-flex justify-content-between flex-wrap">
	<div class="col">
		<div class="card card-stats">
			<div class="card-body">
				<div class="row">
					<div class="col">
						<span class="h2 font-weight-bold mb-0" id="total-gateways"><?php echo e($totalGateways); ?></span>
					</div>
					<div class="col-auto">
						<div class="icon icon-shape bg-gradient-primary text-white rounded-circle shadow">
							<i class="fi fi-rs-bank mt-2"></i>
						</div>
					</div>
				</div>
				<h5 class="card-title text-muted mb-0 mt-3"><?php echo e(__('تعداد کل درگاه‌ها')); ?></h5>
			</div>
		</div>
	</div>

	<div class="col">
		<div class="card card-stats">
			<div class="card-body">
				<div class="row">
					<div class="col">
						<span class="h2 font-weight-bold mb-0" id="total-active"><?php echo e($active_gateway); ?></span>
					</div>
					<div class="col-auto">
						<div class="icon icon-shape bg-gradient-success text-white rounded-circle shadow">
							<i class="fi fi-rs-badge-check mt-2"></i>
						</div>
					</div>
				</div>
				<h5 class="card-title text-muted mb-0 mt-3"><?php echo e(__('درگاه‌های فعال')); ?></h5>
			</div>
		</div>
	</div>

	<div class="col">
		<div class="card card-stats">
			<div class="card-body">
				<div class="row">
					<div class="col">
						<span class="h2 font-weight-bold mb-0" id="total-inactive"><?php echo e($inactive_gateway); ?></span>
					</div>
					<div class="col-auto">
						<div class="icon icon-shape bg-gradient-danger text-white rounded-circle shadow">
							<i class="fi fi-rs-delete-document mt-2"></i>
						</div>
					</div>
				</div>
				<h5 class="card-title text-muted mb-0 mt-3"><?php echo e(__('درگاه‌های غیرفعال')); ?></h5>
			</div>
		</div>
	</div>
</div>

<div class="row mt-4">
	<div class="col">
		<div class="card">
			<div class="card-header border-0">
				<h3 class="mb-0"><?php echo e(__('لیست درگاه‌ها')); ?></h3>
			</div>
			<div class="table-responsive">
				<table class="table align-items-center table-flush">
					<thead class="thead-light">
						<tr>
							<th><?php echo e(__('نام درگاه')); ?></th>
							<th class="text-center"><?php echo e(__('حداقل مبلغ')); ?></th>
							<th class="text-center"><?php echo e(__('حداکثر مبلغ')); ?></th>
							<th class="text-center"><?php echo e(__('کارمزد')); ?></th>
							<th class="text-center"><?php echo e(__('واحد پول')); ?></th>
							<th class="text-center"><?php echo e(__('وضعیت')); ?></th>
							<th class="text-center"><?php echo e(__('حالت پرداخت')); ?></th>
							<th class="text-center"><?php echo e(__('ویرایش')); ?></th>
						</tr>
					</thead>
					<tbody class="list">
						<?php $__currentLoopData = $gateways; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $gateway): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
						<?php $data = json_decode($gateway->data ?? '{}', true); ?>
						<tr>
							<td>
								<div class="media align-items-center">
									<?php if($gateway->logo): ?>
									<a href="<?php echo e(route('admin.gateways.edit',$gateway->id)); ?>" class="avatar rounded-square mr-3">
										<img alt="Logo" src="<?php echo e(asset($gateway->logo)); ?>">
									</a>
									<?php endif; ?>
									<div class="media-body">
										<span class="name mb-0 text-sm d-block font-weight-bold"><?php echo e($gateway->name); ?></span>
										<?php if(!empty($data['merchant_id'])): ?>
										<small class="text-muted d-block">ID: <?php echo e($data['merchant_id']); ?></small>
										<?php endif; ?>
									</div>
								</div>
							</td>

							<td class="text-center"><?php echo e(number_format($gateway->min_amount, 2)); ?></td>
							<td class="text-center"><?php echo e(number_format($gateway->max_amount, 2)); ?></td>
							<td class="text-center"><?php echo e($gateway->charge); ?> <?php echo e(strtoupper($gateway->currency)); ?></td>
							<td class="text-center"><?php echo e(strtoupper($gateway->currency)); ?></td>

							<td class="text-center">
								<span class="badge badge-dot">
									<i class="bg-<?php echo e($gateway->status == 1 ? 'success' : 'danger'); ?>"></i>
									<span class="status"><?php echo e($gateway->status == 1 ? __('فعال') : __('غیرفعال')); ?></span>
								</span>
							</td>

							<td class="text-center">
								<span class="badge badge-dot">
									<i class="bg-<?php echo e(($data['test_mode'] ?? 0) == 1 ? 'danger' : 'success'); ?>"></i>
									<span class="status"><?php echo e(($data['test_mode'] ?? 0) == 1 ? __('تستی') : __('واقعی')); ?></span>
								</span>
							</td>

							<td class="text-center">
								<a class="btn btn-sm btn-neutral" href="<?php echo e(route('admin.gateways.edit',$gateway->id)); ?>">
									<i class="fas fa-edit"></i>
								</a>
							</td>
						</tr>
						<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
					</tbody>
				</table>
			</div>
		</div>
	</div>
</div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH H:\www\MAMP\htdocs\wasender\resources\views/admin/gateway/index.blade.php ENDPATH**/ ?>